<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-43"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FGeneral%2FJHCollectionViewSectionBacground%2FJHCollectionViewFlowLayout.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/JHCollectionViewSectionBacground/JHCollectionViewFlowLayout.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_3d53dd88e59abdcd55a12c7e475393fb.html">General</a></li><li class="navelem"><a class="el" href="dir_f5193ae2c5518c13c0af24d752374d37.html">JHCollectionViewSectionBacground</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">JHCollectionViewFlowLayout.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_j_h_collection_view_flow_layout_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  JHCollectionViewFlowLayout.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  HiiN</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by 张健华-迈动 on 2017/3/7.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2017年 huanli. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_j_h_collection_view_flow_layout_8h.html">JHCollectionViewFlowLayout.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_j_h_collection_reusable_view_8h.html">JHCollectionReusableView.h</a>&#34;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_j_h_collection_view_layout_attributes_8h.html">JHCollectionViewLayoutAttributes.h</a>&#34;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="_j_h_collection_view_flow_layout_8m.html#af6b6b4ef1d2ad27fa392a3c2e8234d10">   13</a></span>&nbsp;NSString *<span class="keyword">const</span> <a class="code" href="_j_h_collection_view_flow_layout_8m.html#af6b6b4ef1d2ad27fa392a3c2e8234d10">JHCollectionViewSectionBackground</a> = <span class="stringliteral">@&#34;JHCollectionViewSectionBackground&#34;</span>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_j_h_collection_view_flow_layout.html">JHCollectionViewFlowLayout</a></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp;- (instancetype)init</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;{</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;    <span class="keyword">self</span> = [<span class="keyword">super</span> init];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;        <span class="keyword">self</span>.<a class="code" href="interface_j_h_collection_view_flow_layout.html#ada06e4e01ca7ec70481cc475ec5b6a85">decorationViewAttrs</a> = [NSMutableArray array];</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;        [<span class="keyword">self</span> setup];</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;    }</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;- (void)setup</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;{</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;    [<span class="keyword">self</span> registerClass:[<a class="code" href="interface_j_h_collection_reusable_view.html">JHCollectionReusableView</a> class] forDecorationViewOfKind:JHCollectionViewSectionBackground];</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;- (void)prepareLayout</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;{</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;    [<span class="keyword">super</span> prepareLayout];</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;    [<span class="keyword">self</span>.decorationViewAttrs removeAllObjects];</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;    NSInteger numberOfSections = [<span class="keyword">self</span>.collectionView numberOfSections];</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;    <span class="keywordtype">id</span> delegate = <span class="keyword">self</span>.collectionView.delegate;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;    <span class="keywordflow">if</span> (!numberOfSections || ![delegate conformsToProtocol:<span class="keyword">@protocol</span>(<a class="code" href="protocol_j_h_collection_view_delegate_flow_layout-p.html">JHCollectionViewDelegateFlowLayout</a>)]) {</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;        <span class="keywordflow">return</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp;    }</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp;    </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;    <span class="keywordflow">for</span> (NSInteger section = 0; section &lt; numberOfSections; section++) {</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;        NSInteger numberOfItems = [<span class="keyword">self</span>.collectionView numberOfItemsInSection:section];</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;        <span class="keywordflow">if</span> (numberOfItems &lt;= 0) {</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;            <a class="code" href="interface_j_h_collection_view_layout_attributes.html">JHCollectionViewLayoutAttributes</a> *attr = [<a class="code" href="interface_j_h_collection_view_layout_attributes.html">JHCollectionViewLayoutAttributes</a> layoutAttributesForDecorationViewOfKind:JHCollectionViewSectionBackground withIndexPath:[NSIndexPath indexPathForItem:0 inSection:section]];</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;            attr.zIndex = -1;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;            </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;            attr.<a class="code" href="interface_j_h_collection_view_layout_attributes.html#a8c4e7cfb42d162e2773fd7e137f629cd">backgroundColor</a> = [delegate collectionView:self.collectionView layout:self backgroundColorForSection:section];</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;            [<span class="keyword">self</span>.decorationViewAttrs addObject:attr];</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;            <span class="keywordflow">continue</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;        }</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;        UICollectionViewLayoutAttributes *firstItem = [<span class="keyword">self</span> layoutAttributesForItemAtIndexPath:[NSIndexPath indexPathForItem:0 inSection:section]];</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&nbsp;        UICollectionViewLayoutAttributes *lastItem = [<span class="keyword">self</span> layoutAttributesForItemAtIndexPath:[NSIndexPath indexPathForItem:numberOfItems - 1 inSection:section]];</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;        <span class="keywordflow">if</span> (!firstItem || !lastItem) {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;            <span class="keywordflow">continue</span>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;        }</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp;        </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;        UIEdgeInsets sectionInset = [<span class="keyword">self</span> sectionInset];</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&nbsp;        <span class="keywordflow">if</span> ([delegate respondsToSelector:<span class="keyword">@selector</span>(collectionView:layout:insetForSectionAtIndex:)]) {</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp;            UIEdgeInsets inset = [delegate collectionView:self.collectionView layout:self insetForSectionAtIndex:section];</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;            sectionInset = inset;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;        }</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;        </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;        CGRect sectionFrame = CGRectUnion(firstItem.frame, lastItem.frame);</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;        sectionFrame.origin.x -= sectionInset.left;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;        sectionFrame.origin.y -= sectionInset.top;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp;        </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp;        <span class="keywordflow">if</span> (<span class="keyword">self</span>.scrollDirection == UICollectionViewScrollDirectionHorizontal) {</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;            sectionFrame.size.width += sectionInset.left + sectionInset.right;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp;            sectionFrame.size.height = <span class="keyword">self</span>.collectionView.frame.size.height;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp;        } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;            sectionFrame.size.width = <span class="keyword">self</span>.collectionView.frame.size.width;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp;            sectionFrame.size.height += sectionInset.top + sectionInset.bottom;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&nbsp;        }</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp;        </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;        <span class="comment">// 2、定义</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&nbsp;        <a class="code" href="interface_j_h_collection_view_layout_attributes.html">JHCollectionViewLayoutAttributes</a> *attr = [<a class="code" href="interface_j_h_collection_view_layout_attributes.html">JHCollectionViewLayoutAttributes</a> layoutAttributesForDecorationViewOfKind:JHCollectionViewSectionBackground withIndexPath:[NSIndexPath indexPathForItem:0 inSection:section]];</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;        attr.frame = sectionFrame;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp;        attr.zIndex = -1;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;        </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp;        attr.<a class="code" href="interface_j_h_collection_view_layout_attributes.html#a8c4e7cfb42d162e2773fd7e137f629cd">backgroundColor</a> = [delegate collectionView:self.collectionView layout:self backgroundColorForSection:section];</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&nbsp;        [<span class="keyword">self</span>.decorationViewAttrs addObject:attr];</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&nbsp;    }</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&nbsp; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;}</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp;- (NSArray&lt;UICollectionViewLayoutAttributes *&gt; *)layoutAttributesForElementsInRect:(CGRect)rect</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;{</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;     NSMutableArray *attrs = [[<span class="keyword">super</span> layoutAttributesForElementsInRect:rect] mutableCopy];</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp;    <span class="keywordflow">for</span> (UICollectionViewLayoutAttributes *attr in <span class="keyword">self</span>.<a class="code" href="interface_j_h_collection_view_flow_layout.html#ada06e4e01ca7ec70481cc475ec5b6a85">decorationViewAttrs</a>) {</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp;        <span class="keywordflow">if</span> (CGRectIntersectsRect(rect, attr.frame)) {</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;            [attrs addObject:attr];</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp;        }</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&nbsp;    }</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;    <span class="keywordflow">return</span> attrs;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp;}</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp; </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp;- (UICollectionViewLayoutAttributes *)layoutAttributesForItemAtIndexPath:(NSIndexPath *)indexPath {</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&nbsp;    <span class="keywordflow">return</span> [<span class="keyword">super</span> layoutAttributesForItemAtIndexPath:indexPath];</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&nbsp;}</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&nbsp; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&nbsp;- (nullable UICollectionViewLayoutAttributes *)layoutAttributesForDecorationViewOfKind:(NSString*)elementKind atIndexPath:(NSIndexPath *)indexPath</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&nbsp;{</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&nbsp;    <span class="keywordflow">if</span> ([elementKind isEqualToString:<a class="code" href="_j_h_collection_view_flow_layout_8m.html#af6b6b4ef1d2ad27fa392a3c2e8234d10">JHCollectionViewSectionBackground</a>]) {</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&nbsp;        <span class="keywordflow">return</span> [<span class="keyword">self</span>.decorationViewAttrs objectAtIndex:indexPath.section];</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&nbsp;    }</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&nbsp;    <span class="keywordflow">return</span> [<span class="keyword">super</span> layoutAttributesForDecorationViewOfKind:elementKind atIndexPath:indexPath];</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&nbsp;}</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_j_h_collection_view_layout_attributes_html"><div class="ttname"><a href="interface_j_h_collection_view_layout_attributes.html">JHCollectionViewLayoutAttributes</a></div><div class="ttdef"><b>Definition:</b> <a href="_j_h_collection_view_layout_attributes_8h_source.html#l00011">JHCollectionViewLayoutAttributes.h:12</a></div></div>
<div class="ttc" id="a_j_h_collection_reusable_view_8h_html"><div class="ttname"><a href="_j_h_collection_reusable_view_8h.html">JHCollectionReusableView.h</a></div></div>
<div class="ttc" id="a_j_h_collection_view_flow_layout_8h_html"><div class="ttname"><a href="_j_h_collection_view_flow_layout_8h.html">JHCollectionViewFlowLayout.h</a></div></div>
<div class="ttc" id="ainterface_j_h_collection_view_layout_attributes_html_a8c4e7cfb42d162e2773fd7e137f629cd"><div class="ttname"><a href="interface_j_h_collection_view_layout_attributes.html#a8c4e7cfb42d162e2773fd7e137f629cd">JHCollectionViewLayoutAttributes::backgroundColor</a></div><div class="ttdeci">UIColor * backgroundColor</div><div class="ttdef"><b>Definition:</b> <a href="_j_h_collection_view_layout_attributes_8h_source.html#l00013">JHCollectionViewLayoutAttributes.h:13</a></div></div>
<div class="ttc" id="ainterface_j_h_collection_view_flow_layout_html"><div class="ttname"><a href="interface_j_h_collection_view_flow_layout.html">JHCollectionViewFlowLayout</a></div><div class="ttdef"><b>Definition:</b> <a href="_j_h_collection_view_flow_layout_8h_source.html#l00017">JHCollectionViewFlowLayout.h:18</a></div></div>
<div class="ttc" id="ainterface_j_h_collection_view_flow_layout_html_ada06e4e01ca7ec70481cc475ec5b6a85"><div class="ttname"><a href="interface_j_h_collection_view_flow_layout.html#ada06e4e01ca7ec70481cc475ec5b6a85">JHCollectionViewFlowLayout::decorationViewAttrs</a></div><div class="ttdeci">NSMutableArray&lt; UICollectionViewLayoutAttributes * &gt; * decorationViewAttrs</div><div class="ttdef"><b>Definition:</b> <a href="_j_h_collection_view_flow_layout_8h_source.html#l00019">JHCollectionViewFlowLayout.h:19</a></div></div>
<div class="ttc" id="a_j_h_collection_view_layout_attributes_8h_html"><div class="ttname"><a href="_j_h_collection_view_layout_attributes_8h.html">JHCollectionViewLayoutAttributes.h</a></div></div>
<div class="ttc" id="ainterface_j_h_collection_reusable_view_html"><div class="ttname"><a href="interface_j_h_collection_reusable_view.html">JHCollectionReusableView</a></div><div class="ttdef"><b>Definition:</b> <a href="_j_h_collection_reusable_view_8h_source.html#l00011">JHCollectionReusableView.h:12</a></div></div>
<div class="ttc" id="a_j_h_collection_view_flow_layout_8m_html_af6b6b4ef1d2ad27fa392a3c2e8234d10"><div class="ttname"><a href="_j_h_collection_view_flow_layout_8m.html#af6b6b4ef1d2ad27fa392a3c2e8234d10">JHCollectionViewSectionBackground</a></div><div class="ttdeci">NSString *const JHCollectionViewSectionBackground</div><div class="ttdef"><b>Definition:</b> <a href="_j_h_collection_view_flow_layout_8m_source.html#l00013">JHCollectionViewFlowLayout.m:13</a></div></div>
<div class="ttc" id="aprotocol_j_h_collection_view_delegate_flow_layout-p_html"><div class="ttname"><a href="protocol_j_h_collection_view_delegate_flow_layout-p.html">JHCollectionViewDelegateFlowLayout-p</a></div><div class="ttdef"><b>Definition:</b> <a href="_j_h_collection_view_flow_layout_8h_source.html#l00011">JHCollectionViewFlowLayout.h:11</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>